--Создание и настройка окна программы
window_handle=WindowsCreate("Example: 'ini-example'",WS_OVERLAPPED,WS_SYSMENU,0,0,0,800,600,0)
WindowCenter(window_handle)
WindowSetIcon(window_handle,"Logo.ico")

--Инициализация движков программы
Init_xtreme3d("xtreme3d.dll")--Графический
Init_IniLibGMDLL("IniLibGMDLL.dll")--Работа с ini файлами

--Настройка компонентов графического движка
xEngineCreate();

bgColor=cDkgray
view1=xViewerCreate(0,0,800,600,window_handle)
xViewerSetBackgroundColor(view1,bgColor)
xViewerSetLighting(view1,False)
xViewerEnableFog(view1,True)
xViewerSetFogColor(view1,bgColor)
xViewerSetFogDistance(view1,50,100)
xViewerSetAntiAliasing(view1,aaNone)

back=xDummycubeCreate(0)
scene=xDummycubeCreate(0)
front=xDummycubeCreate(0)

camPos=xDummycubeCreate(scene)
xObjectSetPosition(camPos,0,0,10)

camera=xCameraCreate(camPos)
xObjectSetPosition(camPos,0,3,5)
xCameraSetViewDepth(camera,500)
xCameraSetFocal(camera,60)
xCameraSetNearPlaneBias(camera,0.2)
xViewerSetCamera(view1,camera)

ftfont=xTTFontCreate('../Examples/data/unicode/NotoSans-Regular.ttf',24)
text=xHUDTextCreate(ftfont,xTextConvertANSIToUTF8('Нажмите пробел для создания ini файла...'),front)
xHUDTextSetColor(text,cWhite,1.0)
xObjectSetPosition(text,32,32,0)

while WindowsExists(window_handle) do
	WindowsRefresh()
	KeyRefresh()
	fps=CallFps(30)
	dt=1/fps
	
	xUpdate(dt)
	xViewerRender(view1)
	
	if KeyReleased(VK_SPACE) then
		INI=iOpen("Configs/Config.ini","");
		
		for i=0, 2000 do --Создать 2000 ключей
			iWriteString(INI,"YoYo","Games"..i,"WIN!");
			iWriteReal(INI,"YoYoReal","Games"..i,1);
		end
		
		RetVal = iKeyFindFirst(INI,"YoYo");
		while RetVal ~= "" do
			RetVal = iKeyFindNext(INI,"YoYo");
		end
		
		iClose(INI);
		
		ShowMessage("ini файл сформирован")
	end
	
	if KeyReleased(VK_ESCAPE) then WindowsDestroy(window_handle) end
end

--EngineDestroy()